https://invent.kde.org/plasma/plasma-workspace/-/commit/b983f1c758552346083ffe0b3d47173b487ae426

From b983f1c758552346083ffe0b3d47173b487ae426 Mon Sep 17 00:00:00 2001
From: Aaron Rainbolt <arraybolt3@gmail.com>
Date: Wed, 19 Oct 2022 14:16:26 -0500
Subject: [PATCH] Save layout immediately after a resolution change triggered
 relayout

(cherry picked from commit f33cd92fbfb765299018bddc2a86ac5326731231)
---
 components/containmentlayoutmanager/appletslayout.cpp | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/components/containmentlayoutmanager/appletslayout.cpp b/components/containmentlayoutmanager/appletslayout.cpp
index 70970e8919..c3e957cbd9 100644
--- a/components/containmentlayoutmanager/appletslayout.cpp
+++ b/components/containmentlayoutmanager/appletslayout.cpp
@@ -80,6 +80,11 @@ AppletsLayout::AppletsLayout(QQuickItem *parent)
             } else if (!m_geometryBeforeResolutionChange.isEmpty()) {
                 m_layoutManager->layoutGeometryChanged(newGeom, m_geometryBeforeResolutionChange);
                 m_geometryBeforeResolutionChange = QRectF();
+
+                // If the user doesn't move a widget after this is done, the widget positions won't be saved and they will be in the wrong
+                // places on next login, so save them now.
+
+                save();
             }
         }
         m_layoutChanges = NoChange;
-- 
GitLab


